package roseindia.net;

import java.io.PrintWriter;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.ResultSetMetaData;
import java.sql.Statement;

public class LoggingJDBCExample {

	// Connection Method
	private static Connection CreateConnection() throws Exception {
		Class.forName("com.mysql.jdbc.Driver");
		String url = "jdbc:mysql://localhost:3306/student";

		DriverManager
				.setLogWriter(new PrintWriter("C:/work/vinay/Logfile.log"));

		return DriverManager.getConnection(url, "root", "root");
	}

	public static void main(String[] args) throws Exception {
		Connection conn = CreateConnection();
		conn.setAutoCommit(false);
		Statement st = conn.createStatement();
		try {
			st
					.executeUpdate("create table StudentLog (RollNo int,Name varchar(30));");
			st
					.executeUpdate("insert into StudentLog (RollNo,Name ) values (1,'Rahul')");
			st
					.executeUpdate("insert into StudentLog (RollNo,Name ) values (2,'Ramesh')");
			// committing Transactions
			conn.commit();
			st = conn.createStatement();
			ResultSet rs = st.executeQuery("SELECT * FROM StudentLog");
			System.out.println("*****************************");

			while (rs.next()) {
				System.out.print("Roll No- " + rs.getInt("RollNo") + ", Name- "
						+ rs.getString("Name"));
			}
			System.out.println();

		} catch (Exception e) {
			// canceling transactions
			conn.rollback();
			System.out.println(e.toString());
		} finally {
			st.close();
			conn.close();
		}
	}
}
